{
    programs.ssh = {
        enable = true;
        matchBlocks = {
            "sherbrooke" = {
                hostname = "100.119.100.64";
                user = "vorboyvo";
            };
            "souligny" = {
                hostname = "168.138.90.29";
                user = "ubuntu";
                identityFile = "~/.ssh/ssh-key-2024-04-12.key"; # supply this manually
            };
        };
    };
}
